Unit SF58R_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

procedure SF58R(X :Real; var P1 :Real; var P2 :Real);

implementation

procedure SF58R(X :Real; var P1 :Real; var P2 :Real);
var
K :Integer;
SUM,SGN,SLAG :Real;
const
SYS087 :Real = 1.0E-5;
label
_1,_2,_3,_4,_5,_6,_7;
begin
if ( X > 0.0 ) 
 then goto _1;
P1 := 0.0;
P2 := 0.0;
goto _7;
_1:
if ( X < 4.0 ) 
 then goto _2;
P1 := 1.0;
P2 := 1.0;
goto _7;
_2:
if ( X > 0.2 ) 
 then goto _3;
P2 := 0.0;
goto _6;
_3:
SUM := 1.0;
SGN := 1.0;
for K:=1 to 100 do
 begin
  SLAG := 2.0*Exp(-2*(K*K)*X*X);
  SGN := -SGN;
  SUM := SUM+SGN*SLAG;
  if ( SLAG < SYS087 ) 
   then goto _5;
_4:
 end;
_5:
P2 := SUM;
_6:
P1 := 1.0-Exp(-2.0*X*X);
_7:
end;

end.
